Subject: FVWM: Re: kde2 support multihead? XFree86v4.? support multihead?

From: "Dmitry Yu. Bolkhovityanov" <[email-masked]>
Date: Mon, 5 Feb 2001 12:31:15 +0600

On Sat, Feb 03, 2001 at 09:43:35AM -0500, Lev Babiev wrote:
>
> On Sat, 03 Feb 2001 07:55:38 Thomas A. Gardiner wrote:
> >
> > If it's that irritating you could always use ActivePlacement and put the
> > windows where you want...
>
> Actually there is more to it than just placing windows. I run dualhead
> G400 and 2 monitors running at different resolutions. one is running at
> 1600x1200, another at 1280x1024. With xinerama, fvwm treats it as a
> 2880x1200 screen, not realizing that there is a 1280x176 blacked out space
> in lower right corner. as a result it places gnome panel (or any other type
> of taskbar) smack into that region (partially). Xinerama provides interface
> to retrieve monitor configureation, it would be great if fvwm could read it
> and avoid placing windows in "blacked-out" areas. (unfortualtely gnome
> panel
> isn't smart enough to allow setting geometry),

    I had the same problem with x11amp v0.65 some years ago, and solution
was very simple: start not x11amp directly, but via FvwmButtons which
swallows it to a specified geometry.  Configuration looks as follows:

##### A hack to start x11amp with a given geometry
*FvwmX11AmpFont         None
*FvwmX11AmpGeometry     275x116-0+92
*FvwmX11AmpPadding      0 0
*FvwmX11AmpRows         1
*FvwmX11Amp(Swallow X11Amp 'Exec x11amp')
Style "FvwmX11Amp"      Sticky, StaysPut, WinCircSkip, NoDecoration

so simply adding to "SetupFunction" the command

+ "I" Module FvwmButtons FvwmX11Amp

will do the thing.

       ___________________________________________________________________
       Dmitry Yu. Bolkhovityanov  |  Novosibirsk, RUSSIA
       phone (383-2)-39-49-56     |  The Budker Institute of Nuclear Physics
                                  |  Lab. 5-13
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].